import { GetDefaultFieldNamesFn } from '@graphiql/toolkit';
import { ReactNode } from 'react';
import { CodeMirrorEditor } from './types';
export declare type EditorContextType = {
    autoCompleteLeafs(): string | undefined;
    headerEditor: CodeMirrorEditor | null;
    queryEditor: CodeMirrorEditor | null;
    responseEditor: CodeMirrorEditor | null;
    variableEditor: CodeMirrorEditor | null;
    setHeaderEditor(newEditor: CodeMirrorEditor): void;
    setQueryEditor(newEditor: CodeMirrorEditor): void;
    setResponseEditor(newEditor: CodeMirrorEditor): void;
    setVariableEditor(newEditor: CodeMirrorEditor): void;
};
export declare const EditorContext: import("react").Context<EditorContextType>;
declare type EditorContextProviderProps = {
    children: ReactNode;
    getDefaultFieldNames?: GetDefaultFieldNamesFn;
};
export declare function EditorContextProvider(props: EditorContextProviderProps): JSX.Element;
export {};
