import type { GraphQLArgument, GraphQLField, GraphQLInputField, GraphQLNamedType } from 'graphql';
import { ReactNode } from 'react';
export declare type ExplorerFieldDef = GraphQLField<{}, {}, {}> | GraphQLInputField | GraphQLArgument;
export declare type ExplorerNavStackItem = {
    name: string;
    title?: string;
    search?: string;
    def?: GraphQLNamedType | ExplorerFieldDef;
};
export declare type ExplorerNavStack = [
    ExplorerNavStackItem,
    ...ExplorerNavStackItem[]
];
export declare type ExplorerContextType = {
    explorerNavStack: ExplorerNavStack;
    push(item: ExplorerNavStackItem): void;
    pop(): void;
    reset(): void;
    showSearch(search: string): void;
};
export declare const ExplorerContext: import("react").Context<ExplorerContextType | null>;
export declare function ExplorerContextProvider(props: {
    children: ReactNode;
}): JSX.Element;
export declare function useExplorerNavStack(): ExplorerContextType | null;
